#include<stdio.h>

void Razmeni(int *a, int *b){
	int t=*a;
	*a=*b;
	*b=t;
	}

void Zamena(int n,int *a)
{
	int max=*(a+1);
	for(int i=1;i<n;i++)if(max<*(a+i))max=*(a+i);
	if(*a<max)Razmeni(a,&max);
	if(*a>=max)for(int i=2;i<n;i++)Razmeni(a,&max);
	else Razmeni(a+n-1,a+n-2);
}

void Prikaz(int n,int *a)
{
	for(int i=0;i<n;i++)printf("%d", *(a+i));
	
}

main(){
	int n, a[1000000];
	int prput=0, nula=0;
	scanf("%d",&n);
	do{
	scanf("%d", a);
    }while(*a<=0 || *a>9);
	for(int i=0;i<n;i++){
	do{
	scanf("%d", a);
    }while(*(a+i)<0 || *(a+i)>9 || nula>=2);
    if(*(a+i)==0)nula++;
    

	Zamena(n,a);
	Prikaz(n,a);

}